package com.yihu.jw.entity.iot.dict;

import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;

import javax.persistence.Column;
import javax.persistence.Convert;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author humingfen on 2020/4/27.
 */
@Entity
@Table(name = "iot_hospital")
public class IotHospitalDO extends UuidIdentityEntity {
    @Column(name = "saas_id")
    private String saasId;
    // 医院名稱
    private String name;
    // 作废标志，1有效 0 失效
    private String del;
    //省份标志
    private String province;
    //省份名称
    @Column(name = "province_name")
    private String provinceName;
    //城市标志
    private String city;
    //城市名称
    @Column(name = "city_name")
    private String cityName;
    //区县标志
    private String town;
    //区县名称
    @Column(name = "town_name")
    private String townName;
    //级别，1医院，2社区医院
    private int level;
    //医院等级
    private int grade;
    //医院详细地址
    private String address;
    //医院简介
    private String intro;
    //医院图片
    private String photo;
    private String phone;//联系方式

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public int getLevel() {
        return level;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public int getGrade() {
        return grade;
    }

    public void setGrade(int grade) {
        this.grade = grade;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    @Convert(converter = StringFStringEncryptConverter.class)
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
